#pragma once
#include "jmp_score.h"
#include "ModelCaller.h"

class StaticCaller : public Caller {
public:
	StaticCaller();
	virtual ~StaticCaller();

	bool isValid() override;

	//Implements a wrapper around the JMP generated API suitable for static linking
	void fillMetadataCounts(COUNTS *mc) override;
	void fillModelMetadata(MODELMD *mm) override;
	void fillInputMetadata(FIELDMD *fd) override;
	void fillOutputMetadata(FIELDMD *fd) override;
	void score(PARM *indata, PARM *outdata) override;
};

