#pragma once
#include <string>
#include <stdio.h> 

class ArgReader {
public:
	bool verbose;
	bool interactive;
	bool validate;
	bool pause;
	bool dynamic;
	std::wstring inputFileName, outputFileName, dllFileName, tolerance;

	void done();
	void show_usage(std::string name);
	int read_arg(int &i, const int argc, char* argv[], const char *arg,
		const char* sform, const char *lform, std::wstring& target);
	bool parse_flag(const char * arg, const char* shortFlag, const char* longFlag, bool& flag);
	int parse_args(int argc, char* argv[]);
	bool validate_options();	
	ArgReader(bool isDynamic);
};
