#pragma once
#include "jmp_score.h"

class Caller {

public:
	Caller() {}
	virtual ~Caller() {}

	virtual bool isValid() = 0;
	virtual void fillMetadataCounts(COUNTS *mc) = 0;
	virtual void fillModelMetadata(MODELMD *mm) = 0;
	virtual void fillInputMetadata(FIELDMD *fd) = 0;
	virtual void fillOutputMetadata(FIELDMD *fd) = 0;
	virtual void score(PARM *indata, PARM *outdata) = 0;
};

