"use strict"; 

var squish = function(x) {
    return 1.0 / (1.0 + Math.exp(-x));
};

var squash = function(x) {
    return 1.0 / (1.0 + Math.exp(x));
};

var is_missing = function (x) {
    return isNaN(x); 
};

/*-----------------------------------------------------------------
 * return the index of the max value found in an array
 *-----------------------------------------------------------------*/
var max_array = function(n, values) {
    var maxval = values[0];
    var maxidx = 0;

    for (var i = 1; i < n; i++) {        
        if (maxval < values[i]) {
           maxval = values[i];
           maxidx = i;
        }
    }
    return maxidx;
};

/*-----------------------------------------------------------------
 * return the index of the min value found in an array
 *-----------------------------------------------------------------*/
var min_array = function(n, values) {
    var minval = values[0];
    var minidx = 0;

    for (var i = 1; i < n; i++) {        
        if (minval > values[i]) {
           minval = values[i];
           minidx = i;
        }
    }
    return minidx;
};

module.exports = {
  squish: squish,
  squash: squash,
  is_missing: is_missing,
  max_array: max_array,
  min_array: min_array
};

