#include "StaticCaller.h"

//class StaticCaller : public Caller 
//public:
StaticCaller::StaticCaller() : Caller() {}
StaticCaller::~StaticCaller() {}

bool StaticCaller::isValid() { return true; }

//Implements a wrapper around the JMP generated API suitable for static linking
void StaticCaller::fillMetadataCounts(COUNTS *mc) {
	::fillMetadataCounts(mc);
}
void StaticCaller::fillModelMetadata(MODELMD *mm) {
	::fillModelMetadata(mm);
}
void StaticCaller::fillInputMetadata(FIELDMD *fd) {
	::fillInputMetadata(fd);
}
void StaticCaller::fillOutputMetadata(FIELDMD *fd) {
	::fillOutputMetadata(fd);
}
void StaticCaller::score(PARM *indata, PARM *outdata) {
	::score(indata, outdata);
};
